vector_query.hpp File Reference

GLM_GTX_vector_query More...

Go to the source code of this file.

## Functions

template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | areCollinear (vecType< T, P > const &v0, vecType< T, P > const &v1, T const &epsilon)
| Check whether two vectors are collinears. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | areOrthogonal (vecType< T, P > const &v0, vecType< T, P > const &v1, T const &epsilon)
| Check whether two vectors are orthogonals. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | areOrthonormal (vecType< T, P > const &v0, vecType< T, P > const &v1, T const &epsilon)
| Check whether two vectors are orthonormal. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | isCompNull (vecType< T, P > const &v, T const &epsilon)
| Check whether a each component of a vector is null. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | isNormalized (vecType< T, P > const &v, T const &epsilon)
| Check whether a vector is normalized. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | isNull (vecType< T, P > const &v, T const &epsilon)
| Check whether a vector is null. More...

## Detailed Description

GLM_GTX_vector_query

See also
  GLM Core (dependence)

Definition in file vector_query.hpp.